### Function

# Eog thumbnail_load

#### Declaration [src]

    GdkPixbuf*
    eog_thumbnail_load (
      EogImage* image,
      GError** error
    )

#### Description [src]

Loads the thumbnail for `image`. In case of error, `NULL` is returned and `error` is set.

#### Parameters

`image`

  Type: `EogImage`

  A `EogImage`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf` with the thumbnail for `image` or `NULL` in case of error.

The caller of the function takes ownership of the data, and is responsible for freeing it.